V1 Update Loan

Updates an existing loan by modifying the values of the loan data elements passed or by applying a loan template.

🚧

No validation errors are returned for non-editable option fields (e.g., field 19 "Loan Purpose Type"). If an invalid value is provided, this API will clear the existing value in the field and will not return an error. This behavior will be enhanced in a future release.

Path Params
string
required

The unique identifier assigned to the loan.

Query Params
string

Path to the loan template that will be applied to the loan. See Loan: Template.

string

When applying a loan template, set to true to only write the non-blank field values in the template to the loan. Set to false to write all field values in the template (including blank fields) to the loan.

string

Specifies how the loan should be viewed. Possible options are transient and permanent mode.

string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params
string
required
Defaults to { "applications": [{ "id": "borrower_1", "borrower": { "altId": "borrower_1", "birthDate": "1983-01-02", "emailAddressText": "[email protected]", "firstName": "Update_Portal_Borrower", "homePhoneNumber": "415-555-1212", "lastName": "Update_b" }, "coBorrower": { "altId": "coborrower_1", "birthDate": "1983-01-04", "emailAddressText": "[email protected]", "firstName": "Update_Portal_Coborrower", "homePhoneNumber": "415-389-0909", "lastName": "Update_cob" }, "residences": [ { "id": "Residence/0", "addressCity": "Pleasanton", "addressPostalCode": "94588", "addressState": "CA", "applicantType": "Borrower", "residencyType": "Current" }, { "id": "Residence/1", "addressCity": "Danville", "addressPostalCode": "94583", "addressState": "CA", "applicantType": "Borrower", "residencyType": "Previous" }, { "id": "Residence/2", "addressCity": "Livermore", "addressPostalCode": "94583", "addressState": "CA", "applicantType": "CoBorrower", "residencyType": "Current" }, { "id": "Residence/3", "addressCity": "Fremont", "addressPostalCode": "94583", "addressState": "CA", "applicantType": "CoBorrower", "residencyType": "Previous" } ] }] }

Update Request Body. Loan data elements to update.

Headers
string
required

Bearer token

Response

Language
Request